#ifndef MS5803_30BA_H
#define MS5803_30BA_H

#include "Type.h"

void MS5803_30BA_Initialize(uint8_t Verbose);

static void ResetSensor();

static void SendCommandSensor(uint8_t command, uint8_t waitFinish);

static uint16_t ReadCalibrationCoefficients(uint8_t number);

static uint8_t CalculateCRC(uint16_t* n_prom);

void MS5803_30BA_Begin(MS5803_30BA* sensor);

void MS5803_30BA_GetData(MS5803_30BA* sensor);

static void GetAdcData(uint8_t cmd, MS5803_30BA* sensor);

#endif //MS5803_30BA_H
